Boomi API Control Plane REST API - MCPBridge
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get MCP Product Info
Returns product info (APIs, versions, credentials, etc.) for a given API Product and Application using an AI Agent Key. Either 'name' or 'uuid' must be provided.
Authorizations:
query Parameters
| name | string Example: name=petstore-product Name of the API product |
| uuid | string <uuid> Example: uuid=00000000-0000-4000-8000-000000000000 UUID of the API product |
header Parameters
| x-ai-agent-key required | any Example: 5:A8sleKwB3U7s2-593KACUrb33Z8 API key used to authenticate the MCP agent (bound to an application) |
Responses
Response Schema: application/json
| apiProductId required | string <uuid> ID of the API product |
| apiProductName required | string Name of the API product |
required | Array of objects (McpApiSpecDTO) API specs with access info. |
| applicationId required | string <uuid> ID of the application |
| tenantId required | string ID of the Tenant who owns the API product |
Response samples
- 200
- default
{- "applicationId": 42,
- "apiProductId": 1001,
- "apiProductName": "petstore-product",
- "apiSpecs": [
- {
- "name": "Petstore API V1 (Environment 123)",
- "specDownloadUrl": "/mcp/apiProducts/name/apis/201/versions/v1/spec",
- "apiAccessKey": "abc123",
- "apiSpecType": "OPENAPI_V3",
- "apiAccessSecret": "xyz789",
- "envStage": "DEVELOPMENT",
- "envPlatformType": "GRAVITEE"
}
], - "tenantId": "tenant123"
}Download spec file for an API version (MCP agent)
Returns the raw OpenAPI specification file for the given API ID and version name. Requires a valid x-ai-agent-key header.
Authorizations:
path Parameters
| apiId required | string <uuid> Example: 201 ID of the API |
| versionName required | string Example: v1 Version name of the API |
| apiProductName required | string |
header Parameters
| x-ai-agent-key required | any Example: 5:A8sleKwB3U7s2-593KACUrb33Z8 API key used to authenticate the MCP agent (bound to an application) |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}